Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.msv.grammar.relax
Class TagClause

    java.lang.Object
      com.sun.msv.grammar.Expression
          com.sun.msv.grammar.ReferenceExp
              com.sun.msv.grammar.relax.TagClause

All Implemented Interfaces:
  java.io.Serializable

public class TagClause
extends ReferenceExp

'tag' of RELAX module. exp field contains a sequence of AttributeExp.

Author:
  Kohsuke KAWAGUCHI
See Also:
  Serialized Form

Field Summary
`NameClass` | `nameClass` tag name constraint.

Fields inherited from class com.sun.msv.grammar.ReferenceExp
`exp, name`

Fields inherited from class com.sun.msv.grammar.Expression
`anyString, epsilon, nullSet, verifierTag`

Constructor Summary
`TagClause()` constructor for inline tag.

Method Summary
`java.lang.Object` | `visit(RELAXExpressionVisitor visitor)`
`boolean` | `visit(RELAXExpressionVisitorBoolean visitor)`
`Expression` | `visit(RELAXExpressionVisitorExpression visitor)`
`void` | `visit(RELAXExpressionVisitorVoid visitor)`

Methods inherited from class com.sun.msv.grammar.ReferenceExp
`equals, isDefined, visit, visit, visit, visit`

Methods inherited from class com.sun.msv.grammar.Expression
`getExpandedExp, hashCode, isEpsilonReducible, peelOccurence`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### nameClass

    public NameClass nameClass

  tag name constraint. This should be SimpleNameClass. The only exception is for stub module.

Constructor Detail

### TagClause

    public TagClause()

  constructor for inline tag. creatable directly from outside

Method Detail

### visit

    public java.lang.Object visit(RELAXExpressionVisitor visitor)

  Overrides:
    `visit` in class `Expression`

### visit

    public Expression visit(RELAXExpressionVisitorExpression visitor)

  Overrides:
    `visit` in class `Expression`

### visit

    public boolean visit(RELAXExpressionVisitorBoolean visitor)

  Overrides:
    `visit` in class `Expression`

### visit

    public void visit(RELAXExpressionVisitorVoid visitor)

  Overrides:
    `visit` in class `Expression`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD